Skip to main content
GET
/
v1
/
aibot
/
bots
/
{AgentId}
Get Agent Information
curl --request GET \
  --url http://{your-domain}/v1/aibot/bots/{AgentId} \
  --header 'Authorization: Bearer <token>'
{
  "name": "My Agent",
  "introduction": "Introduction",
  "AgentId": "Agent-xxx",
  "welcomeMessage": "Welcome!",
  "avatar": "http://xxx.avatar.image",
  "background": "http://xxx.background.image",
  "isNeedRecommend": false,
  "type": "text",
  "searchEnable": false
}

Authorizations

Authorization
string
header
required

Token corresponding to the environment ID, obtained through login authentication

Path Parameters

AgentId
string
required

Response

Successfully retrieved AI Agent information

name
string
required

Agent name

Example:

"My Agent"

introduction
string
required

Agent introduction

Example:

"Introduction"

AgentId
string

Agent ID, generated by the system

Example:

"Agent-xxx"

welcomeMessage
string

Agent welcome message

Example:

"Welcome!"

avatar
string

Agent avatar URL

Example:

"http://xxx.avatar.image"

background
string

Agent chat background image URL

Example:

"http://xxx.background.image"

isNeedRecommend
boolean

Whether to recommend questions after Agent response

Example:

false

type
string

Agent type, text or image

Example:

"text"

searchEnable
boolean

Whether to enable web search

Example:

false